EjbJar.NamingScheme (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ejb, class: EjbJar, class: NamingScheme

Package org.apache.tools.ant.taskdefs.optional.ejb

# Class EjbJar.NamingScheme

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.ejb.EjbJar.NamingScheme

Enclosing class:
  `EjbJar`

public static class EjbJar.NamingScheme extends EnumeratedAttribute
An EnumeratedAttribute class for handling different EJB jar naming schemes

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BASEJARNAME`
  Naming scheme where the generated jar is named by the basejarname attribute
  `static final String`
  `DESCRIPTOR`
  Naming scheme where the generated jar name is based on the name of the deployment descriptor file
  `static final String`
  `DIRECTORY`
  Naming scheme where the generated jar name is based on the name of the directory containing the deployment descriptor
  `static final String`
  `EJB_NAME`
  Naming scheme where generated jar is determined from the ejb-name in the deployment descriptor

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamingScheme()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  Gets the values of the NamingScheme

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EJB_NAME

    public static final String EJB_NAME
    Naming scheme where generated jar is determined from the ejb-name in the deployment descriptor
    See Also:
      - Constant Field Values

  - ### DIRECTORY

    public static final String DIRECTORY
    Naming scheme where the generated jar name is based on the name of the directory containing the deployment descriptor
    See Also:
      - Constant Field Values

  - ### DESCRIPTOR

    public static final String DESCRIPTOR
    Naming scheme where the generated jar name is based on the name of the deployment descriptor file
    See Also:
      - Constant Field Values

  - ### BASEJARNAME

    public static final String BASEJARNAME
    Naming scheme where the generated jar is named by the basejarname attribute
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NamingScheme

    public NamingScheme()

- ## Method Details

  - ### getValues

    public String[] getValues()
    Gets the values of the NamingScheme
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array of the values of this attribute class.